### Function

# Gtk DrawingAreaDrawFunc

#### Declaration

    void
    DrawingAreaDrawFunc (
      GtkDrawingArea* drawing_area,
      cairo_t* cr,
      int width,
      int height,
      gpointer user_data
    )

#### Description [src]

Whenever `drawing_area` needs to redraw, this function will be called.

This function should exclusively redraw the contents of the drawing area and must not call any widget functions that cause changes.

#### Parameters

`drawing_area` | `GtkDrawingArea`
| The `GtkDrawingArea` to redraw.
| The data is owned by the caller of the function.
`cr` | `cairo_t*`
| The context to draw to.
| The data is owned by the caller of the function.
`width` | `int`
| The actual width of the contents. This value will be at least as wide as GtkDrawingArea:width.
`height` | `int`
| The actual height of the contents. This value will be at least as wide as GtkDrawingArea:height.
`user_data` | `gpointer`
| User data.